Package com.smartgwt.rebind

# Class BeanMethod

java.lang.Object
com.smartgwt.rebind.BeanMethod

public class BeanMethod extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanMethod(JMethod method, TypeOracle typeOracle, JClassType beanClassType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `box(String basicGetter)`
  `JType`
  `getGenericType()`
  `JMethod`
  `getMethod()`
  `String`
  `getName()`
  `String`
  `getPrefix()`
  `JType`
  `getValueType()`
  `boolean`
  `isGetter()`
  `boolean`
  `isPrimitive()`
  `boolean`
  `isSetter()`
  `boolean`
  `isStaticInitMethod()`
  `String`
  `jsniGetter()`
  `void`
  `writeJSNIFunction(com.google.gwt.user.rebind.SourceWriter source, boolean addComma)`
  `void`
  `writeNew(com.google.gwt.user.rebind.SourceWriter source, String beanClassName, Integer getterMethodNumber, Integer setterMethodNumber, boolean addComma)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeanMethod

    public BeanMethod(JMethod method, TypeOracle typeOracle, JClassType beanClassType)

- ## Method Details

  - ### getValueType

    public JType getValueType()

  - ### getGenericType

    public JType getGenericType()

  - ### isSetter

    public boolean isSetter()

  - ### isGetter

    public boolean isGetter()

  - ### getName

    public String getName()

  - ### getPrefix

    public String getPrefix()

  - ### getMethod

    public JMethod getMethod()

  - ### isPrimitive

    public boolean isPrimitive()

  - ### isStaticInitMethod

    public boolean isStaticInitMethod()

  - ### jsniGetter

    public String jsniGetter()

  - ### box

    public String box(String basicGetter)

  - ### writeJSNIFunction

    public void writeJSNIFunction(com.google.gwt.user.rebind.SourceWriter source, boolean addComma)

  - ### writeNew

    public void writeNew(com.google.gwt.user.rebind.SourceWriter source, String beanClassName, Integer getterMethodNumber, Integer setterMethodNumber, boolean addComma)